Postgres issue on heroku

2012-06-22 18:16 - The Ultimation

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi, I just installed the latest version of redmine with rails 3.2.6. It works fine on my machine, which uses mysql, but I uploaded it to

heroku, which uses postgres, I get this error related to the Setting model and I can;t view any page:

Started GET "/" for 24.124.99.17 at 2012-06-22 03:08:46 +0000

Processing by WelcomeController#index as HTML

Completed 500 Internal Server Error in 5ms

ActiveRecord::StatementInvalid (PG::Error: ERROR:  relation "settings" does not exist

:SELECT a.attname, format_type(a.atttypid, a.atttypmod), d.adsrc, a.attnotnull

FROM pg_attribute a LEFT JOIN pg_attrdef d

ON a.attrelid = d.adrelid AND a.attnum = d.adnum

WHERE a.attrelid = '"settings"'::regclass

AND a.attnum > 0 AND NOT a.attisdropped

ORDER BY a.attnum

):

app/models/setting.rb:152:in `check_cache'

app/controllers/application_controller.rb:81:in `user_setup'

 any thoughts? Thanks!

History

#1 - 2012-06-24 20:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry, no technical support here.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

http://www.tcpdf.org

